package traduccion;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.*;
import javax.swing.JLabel;
import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * <p>Title: Hola a todos</p>
 *
 * <p>Description: este es el tutorial hola a todos</p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Mi empresa</p>
 *
 * @author Mi nombre
 * @version 1.0
 */
public class Elegir_fichero extends JFrame {
    JPanel jPanel1 = new JPanel();
    JLabel jLabel2 = new JLabel();
    JLabel jLabel3 = new JLabel();
    JButton jButton1 = new JButton();
    BorderLayout borderLayout1 = new BorderLayout();

   BorderLayout borderLayout2 = new BorderLayout();
   FlowLayout flowLayout1 = new FlowLayout();
   GridLayout gridLayout1 = new GridLayout();


    public Elegir_fichero() {
        try {
            jbInit();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        jPanel1.setLayout(null);
        jLabel2.setFont(new java.awt.Font("Dialog", Font.BOLD, 15));
        jLabel2.setHorizontalAlignment(SwingConstants.CENTER);
        jLabel2.setHorizontalTextPosition(SwingConstants.CENTER);
        jLabel2.setText("Select an WS-CDL File");
        jLabel2.setBounds(new Rectangle(87, 97, 236, 76));
        jButton1.setBounds(new Rectangle(164, 231, 72, 21));
        jButton1.setPreferredSize(new Dimension(200, 300));
        jButton1.setText("OK");
        jButton1.addActionListener(new Elegir_fichero_jButton1_actionAdapter(this));
        jPanel1.setMinimumSize(new Dimension(222, 331));
        jPanel1.setPreferredSize(new Dimension(222, 300));
        jLabel3.setFont(new java.awt.Font("Dialog", Font.PLAIN, 20));
        jLabel3.setForeground(Color.red);
        jLabel3.setHorizontalAlignment(SwingConstants.CENTER);
        jLabel3.setHorizontalTextPosition(SwingConstants.CENTER);
        jLabel3.setText("ERROR");
        jLabel3.setBounds(new Rectangle(106, 38, 190, 52));
        jPanel1.add(jLabel3);
        jPanel1.add(jLabel2);
        jPanel1.add(jButton1);
        this.getContentPane().add(jPanel1, null);

    }

    public static void main(String[] args) {
        Elegir_fichero elegir_fichero = new Elegir_fichero();
    }

    public void jButton1_actionPerformed(ActionEvent e) {


    }
}


class Elegir_fichero_jButton1_actionAdapter implements ActionListener {
    private Elegir_fichero adaptee;
    Elegir_fichero_jButton1_actionAdapter(Elegir_fichero adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.jButton1_actionPerformed(e);
    }
}
